# Withdraw

[Withdraw](/developer/api-and-sdk/transaction/withdraw.md) transaction type.

```dart
Withdraw(
	int accountId,
	int subAccountId,
	int toChainId,
	String toAddress,
	int l2SourceToken,
	int l1TargetToken,
	String amount,
	String? callData,
	String fee,
	int nonce,
	bool withdrawToL1,
	int withdrawFeeRatio,
	int? ts,
)
```

## func getEthSignMsg

```dart
String getEthSignMsg(String tokenSymbol)
```

Get the Ethereum sign message

## func sign

```dart
void sign(ZkLinkSigner zkLinkSigner)
```

Sign transaction with given [ZkLinkSigner](/developer/sdk/changelog-2/signer.md#type-zklinksigner)

## func toJson

```dart
String toJson()
```

Get the json str of [Withdraw](#type-withdraw)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zk.link/developer/sdk/changelog-2/transactions/2-withdraw.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
